/******************************************************************************
 *
 *			EnviroNet Firmware Version 1.0
 *
 ******************************************************************************
 * FileName:        http_service.h
 * Dependencies:    See INCLUDES section below
 * Processor:       dsPIC33
 * Compiler:        MPLAB C30
 * Company:         GrayStone Industries
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Roger Bishop         2/1/11      Revision A.
 ******************************************************************************/

/*
Notes:
*/

#ifndef _HTTP_SERVICE_H
	#define _HTTP_SERVICE_H

	#if defined(STACK_USE_HTTP2_SERVER)
	
		/****************************************************************************
		Section:	Function Prototypes and Memory Globalizers
		*****************************************************************************/
		#if defined(HTTP_USE_POST)
			#if defined(USE_LCD)
				static HTTP_IO_RESULT HTTPPostLCD (void);
			#endif	//#if defined(USE_LCD)
			
			#if defined(STACK_USE_HTTP_MD5_DEMO)
				#if !defined(STACK_USE_MD5)
					#error The HTTP_MD5_DEMO requires STACK_USE_MD5
				#endif	//#if !defined(STACK_USE_MD5)
				static HTTP_IO_RESULT HTTPPostMD5 (void);
			#endif	//#if defined(STACK_USE_HTTP_MD5_DEMO)
			
			#if defined(STACK_USE_HTTP_APP_RECONFIG)
				extern APP_CONFIG AppConfig;
				static HTTP_IO_RESULT HTTPPostConfig (void);
				#if defined(STACK_USE_SNMP_SERVER)
					static HTTP_IO_RESULT HTTPPostSNMPCommunity (void);
				#endif	//#if defined(STACK_USE_SNMP_SERVER)
			#endif	//#if defined(STACK_USE_HTTP_APP_RECONFIG)
			
			#if defined(STACK_USE_HTTP_EMAIL_DEMO) || defined(STACK_USE_SMTP_CLIENT)
				#if !defined(STACK_USE_SMTP_CLIENT)
					#error The HTTP_EMAIL_DEMO requires STACK_USE_SMTP_CLIENT
				#endif	//#if !defined(STACK_USE_SMTP_CLIENT)
				static HTTP_IO_RESULT HTTPPostEmail(void);
			#endif	//#if defined(STACK_USE_HTTP_EMAIL_DEMO) || defined(STACK_USE_SMTP_CLIENT)
			
			#if defined(STACK_USE_DYNAMICDNS_CLIENT)
				static HTTP_IO_RESULT HTTPPostDDNSConfig (void);
			#endif	//#if defined(STACK_USE_DYNAMICDNS_CLIENT)

		#endif	//#if defined(HTTP_USE_POST)
		
		//RAM allocated for DDNS parameters
		#if defined(STACK_USE_DYNAMICDNS_CLIENT)
			static BYTE DDNSData [100];
		#endif	//#if defined(STACK_USE_DYNAMICDNS_CLIENT)
		
	#endif	//#if defined(STACK_USE_HTTP2_SERVER)

#endif
